createMipsMatrix {ScISI} | R Documentation

## A function to create the bipartite graph incidence matrix from MIPS protein complexes

### Description

This function takes the output from the `getMipsInfo` function and creates the bipartite graph incidence matrix where the rows are indexed by proteins and colunms by protein complexes (given by the MIPS ID's).

### Usage

    createMipsMatrix(mipsL)

### Arguments

`mipsL` | A list consisting of the two items: mipsL$Mips is a named list of character vectors. The names correspond to MIPS protein complexes and the character vector correspond to the proteins within that complex; and mipsL$DESC is a named character vector where the names are the protein complex MIPS ID and the values is the description of the complex.

### Value

A bipartite graph incidence matrix of the MIPS protein complexes where rows are indexed by proteins names and colunms by the MIPS ID's pre-fixed with "MIPS-".

### Author(s)

Tony Chiang

### References

mips.gfs.de

### Examples

    #mips= getMipsInfo(wantSubComplexes = FALSE)
    #mipsM = createMipsMatrix(mips)

[Package ScISI version 1.16.0 Index]